<?php

namespace Dotdigitalgroup\Email\Controller\Adminhtml\Cron;


class Index extends \Magento\Backend\App\Action
{

	/**
	 * @var \Magento\Framework\View\Result\PageFactory
	 */
	protected $resultPageFactory;

	/**
	 * Index constructor.
	 *
	 * @param \Magento\Backend\App\Action\Context        $context
	 * @param \Magento\Framework\View\Result\PageFactory $resultPageFactory
	 */
	public function __construct(
		\Magento\Backend\App\Action\Context $context,
		\Magento\Framework\View\Result\PageFactory $resultPageFactory
	) {
		$this->resultPageFactory = $resultPageFactory;
		parent::__construct($context);
	}

	/**
	 * @return bool
	 */
	protected function _isAllowed()
	{
		return $this->_authorization->isAllowed('Dotdigitalgroup_Email::cron');
	}

	/**
	 * @return \Magento\Backend\Model\View\Result\Page
	 */
	public function execute()
	{

		/** @var \Magento\Backend\Model\View\Result\Page $resultPage */
		$resultPage = $this->resultPageFactory->create();
		$resultPage->setActiveMenu('Dotdigitalgroup_Email::cron');
		$resultPage->addBreadcrumb(__('Cron'), __('Cron '));
		$resultPage->addBreadcrumb(__('Cron'), __('Cron'));
		$resultPage->getConfig()->getTitle()->prepend(__('Cron Tasks'));

		return $resultPage;
	}
}
